﻿Namespace ColorTables

    Public Class Vs2010DefaultCommonColorTable
        Inherits Vs2010CommonColorTable

        Public Overrides ReadOnly Property CheckedBackground As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 239, 187)
            End Get
        End Property

        Public Overrides ReadOnly Property CheckedSelectedBackground As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 252, 244)
            End Get
        End Property

        Public Overrides ReadOnly Property PressedBackground As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 232, 166)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedBorder As System.Drawing.Color
            Get
                Return Color.FromArgb(229, 195, 101)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedGradientBottom As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 236, 181)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedGradientMiddle As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 244, 208)
            End Get
        End Property

        Public Overrides ReadOnly Property SelectedGradientTop As System.Drawing.Color
            Get
                Return Color.FromArgb(255, 252, 242)
            End Get
        End Property

        Public Overrides ReadOnly Property TextColor As System.Drawing.Color
            Get
                Return Color.FromArgb(59, 41, 62)
            End Get
        End Property

        Public Overrides ReadOnly Property DropdownBorder As System.Drawing.Color
            Get
                Return Color.FromArgb(155, 167, 183)
            End Get
        End Property

        Public Overrides ReadOnly Property Arrow As System.Drawing.Color
            Get
                Return Color.Black
            End Get
        End Property

    End Class

End Namespace